VelocityReport Plugin - Defect #1476

VelocityReport 3.5.9 not working on new version --> Servoy version 8.4.0 rc1
12/06/2018 12:33 PM - Sjoerd Hannema

Status: Closed Start date: 12/06/2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: velocity Estimated time: 0.00 hour
Target version: v3.0

Browser (if web

client):

Description

| have tested version 8.4.0 RC1 which is released on 2018-12-5.
Velocity-plugin is not working on this version. Can you check this for the new Servoy Version 8.4.

Plugin: VelocityReport (not loaded) --> java.lang.reflect.InvocationTargetException

Velocity-webservice: errors:

@javax.servlet.ServletException: Servlet execution threw an exception
com.servoy.j2db.server.ngclient.startup.resourceprovider.ResourceProvider.doFilter(ResourceProvider.java:360)
org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

org.tuckey.web filters.urlrewrite.NormalRewrittenUrl.doRewrite(NormalRewrittenUrl.java:213)
org.tuckey.web.filters.urlrewrite.RuleChain.handleRewrite(RuleChain.java:171)

org.tuckey.web filters.urlrewrite.RuleChain.doRules(RuleChain.java:145)
org.tuckey.web.filters.urlrewrite.UrlRewriter.processRequest(UrIRewriter.java:92)

org.tuckey.web filters.urlrewrite.UrIRewriteFilter.doFilter(UrIRewriteFilter.java:394)

root cause

java.lang.NoClassDefFoundError: org/apache/log4j/Layout
net.stuff.servoy.plugin.velocityreport.server.SolutionConfig.<init>(SolutionConfig.java:125)
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.resetConfig(VelocityWebServlet.java:2158)
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.checkNeedUpdate(VelocityWebServlet.java: 1447)
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.getLastModified(VelocityWebServlet.java:2372)
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.service(VelocityWebServlet.java: 195)
javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
com.servoy.j2db.server.servlets.WebServicesServlet.service(WebServicesServlet.java:9)
javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
com.servoy.j2db.server.ngclient.startup.resourceprovider.ResourceProvider.doFilter(ResourceProvider.java:360)
org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

org.tuckey.web filters.urlrewrite.NormalRewrittenUrl.doRewrite(NormalRewrittenUrl.java:213)

org.tuckey.web filters.urlrewrite.RuleChain.handleRewrite(RuleChain.java:171)

org.tuckey.web filters.urlrewrite.RuleChain.doRules(RuleChain.java:145)

org.tuckey.web. filters.urlrewrite.UrIRewriter.processRequest(UrIRewriter.java:92)

org.tuckey.web filters.urlrewrite.UrIRewriteFilter.doFilter(UrIRewriteFilter.java:394)

root cause

java.lang.ClassNotFoundException: org.apache.log4j.Layout@

History

#1 - 12/22/2018 11:16 AM - Sjoerd Hannema

- Status changed from New to Feedback

The problem is the new version of log4j in Servoy 8.4.

Velocityreport requires the old version. | have copied the old log4j.jar file from 8.3 (application_server/lib) to the 8.4

applications_server/plugins/velocityreport).
Velocityreport 3.5.59 is then working as expected.

#2 - 02/28/2019 10:09 PM - Patrick Talbot
- Status changed from Feedback to Closed
